@extends('layouts.backend')

@section('content')
  <style>
  .circle-icon {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100px; /* Tamanho desejado */
    height: 100px; /* Tamanho desejado */
  }

  .circle-icon .fas {
    font-size: 15em; /* Tamanho do ícone Font Awesome */
  }
  </style>

  <div class="mt-5 d-flex justify-content-center align-items-center">
    <div class="row">
      <form action="/area-reservada/anuncio/novo" method="POST" enctype="multipart/form-data">
        @csrf

        <div class="col-sm-12">
          <div class="row">
            <h1 class="mb-2">Adicionar Anúncio</h1>
            <div class="card mt-4">
              <div class="card-body">


                <!-- Categorias -->
                @foreach ($categorias as $categoria)
                  <input type="radio" class="btn-check radio-btn" name="categoria" id="opcao-{{$categoria->id}}" autocomplete="off" value="{{$categoria->id}}" required>
                  <label class="btn btn-outline-primary mb-3" for="opcao-{{$categoria->id}}">
                    <div class="circle-icon">
                      <img src="{{$categoria->img_url}}" height="60px">
                    </div>
                    <p>{{$categoria->nome}}</p>
                  </label>
                @endforeach

                <div class="row mb-3">
                  <!-- Marca -->
                  <div class="col-md-4">
                    <label for="marca" class="form-label">Marca</label>
                    <select class="form-select" id="marca" name="marca" required>
                      <option value="" disabled selected>Selecione uma opção</option>
                      <option value="Fiat">Fiat</option>
                      <option value="Yanmar">Yanmar</option>
                      <option value="Iseki">Iseki</option>
                      <option value="Mitsubishi">Mitsubishi</option>
                      <option value="Kubota">Kubota</option>
                      <option value="Hinomoto">Hinomoto</option>
                      <option value="New Holland">New Holland</option>
                      <option value="John Deere">John Deere</option>
                      <option value="Kioti">Kioti</option>
                      <option value="LS">LS</option>
                      <option value="MTZ">MTZ</option>
                      <option value="Massey Ferguson">Massey Ferguson</option>
                      <option value="Shibaura">Shibaura</option>
                      <option value="Solis">Solis</option>
                      <option value="Universal">Universal</option>
                    </select>
                  </div>

                  <!-- Modelo -->
                  <div class="col-md-4">
                    <label for="modelo" class="form-label">Modelo</label>
                    <input type="text" class="form-control" id="modelo" name="modelo" required>
                  </div>

                  <!-- Ano e Mês -->
                  <div class="col-md-4">
                    <label for="ano" class="form-label">Ano e Mês</label>
                    <div class="input-group">
                      <select class="form-select" id="ano" name="ano" required>
                        <option value="" disabled selected>Selecione uma opção</option>
                        @for ($i = date('Y'); $i >= date('Y') - 50; $i--)
                          <option value="{{$i}}">{{$i}}</option>
                        @endfor
                      </select>
                      <select class="form-select" id="mes" name="mes" required>
                        <option value="" disabled selected>Selecione uma opção</option>
                        @for ($i = 1; $i <= 12; $i++)
                          <option value="{{$i}}">{{$i}}</option>
                        @endfor
                      </select>
                    </div>
                  </div>
                </div>

                <div class="row mb-3">
                  <!-- Estado -->
                  <div class="col-md-4">
                    <label for="estado" class="form-label">Estado</label>
                    <select class="form-select" id="estado" name="estado" required>
                      <option value="" disabled selected>Selecione uma opção</option>
                      <option value="Novo">Novo</option>
                      <option value="Usado">Usado</option>
                      <option value="Com defeito">Com defeito</option>
                      <option value="Para peças">Para peças</option>
                    </select>
                  </div>

                  <!-- Horas -->
                  <div class="col-md-4">
                    <label for="horas" class="form-label">Horas</label>
                    <input type="number" class="form-control" id="horas" name="horas" required>
                  </div>

                  <!-- Cores -->
                  <div class="col-md-4">
                    <label for="cores" class="form-label">Cores</label>
                    <input type="color" class="form-control" id="cores" name="cores" required>
                  </div>
                </div>

                <!-- Descrição -->
                <div class="mb-3">
                  <label for="descricao" class="form-label">Descrição</label>
                  <textarea class="form-control" id="descricao" name="descricao" rows="4" required></textarea>
                </div>

                <div class="row mb-3">
                  <!-- Preço -->
                  <div class="col-md-4">
                    <label for="preco" class="form-label">Preço</label>
                    <input type="number" class="form-control" id="preco" name="preco" required>
                  </div>

                  <!-- Upload de Imagens -->
                  <div class="col-md-8">
                    <label for="imagens" class="form-label">Imagens</label>
                    <input type="file" class="form-control" id="files" name="files[]" multiple required>
                  </div>
                </div>

                <!-- Botão de Criar -->
                <div class="row">
                  <div class="col-md-12 d-flex justify-content-end">
                    <button type="submit" class="btn btn-primary">Criar anúncio</button>
                  </div>
                </div>

                <div class="row">
                  <div class="col-sm-12">
                    <div id="image-preview"></div>
                  </div>
                </div>
              </div>

            </div>
          </div>
        </div>

        <div class="mb-5">
          <div class="card mt-4">
            <div class="card-body">

              <div class="row">

                <!-- Faróis auxiliares -->
                <div class="col-sm-4">
                  <label for="farois_auxiliares" class="form-label">Faróis auxiliares</label>
                  <div class="mb-3">
                    <input type="checkbox" class="form-check-input" id="farois_auxiliares" name="farois_auxiliares">
                  </div>
                </div>

                <!-- Faróis de nevoeiro -->
                <div class="col-sm-4">
                  <label for="farois_nevoeiro" class="form-label">Faróis de nevoeiro</label>
                  <div class="mb-3">
                    <input type="checkbox" class="form-check-input" id="farois_nevoeiro" name="farois_nevoeiro">
                  </div>
                </div>

                <!-- Tejadilho panorâmico -->
                <div class="col-sm-4">
                  <label for="tejadilho_panoramico" class="form-label">Tejadilho panorâmico</label>
                  <div class="mb-3">
                    <input type="checkbox" class="form-check-input" id="tejadilho_panoramico" name="tejadilho_panoramico">
                  </div>
                </div>

                <!-- Auto-rádio -->
                <div class="col-sm-4">
                  <label for="auto_radio" class="form-label">Auto-rádio</label>
                  <select class="form-select mb-3" id="auto_radio" name="auto_radio">
                    <option value="cd">CD</option>
                    <option value="mp3">Mp-3</option>
                    <option value="carregador_cd">Carregador de CD</option>
                  </select>
                </div>

                <!-- Motor -->
                <div class="col-sm-4">
                  <label for="motor" class="form-label">Motor</label>
                  <select class="form-select mb-3" id="motor" name="motor">
                    <option value="ABB">ABB</option>
                    <option value="AGCO Power">AGCO Power</option>
                    <option value="Aksa">Aksa</option>
                    <option value="AL-KO">AL-KO</option>
                    <option value="AMZ">AMZ</option>
                    <option value="Audi">Audi</option>
                    <option value="Avia">Avia</option>
                    <option value="BAIC">BAIC</option>
                    <option value="Baudouin">Baudouin</option>
                    <option value="Bek Generator">Bek Generator</option>
                    <option value="BMW">BMW</option>
                    <option value="Bobcat">Bobcat</option>
                    <option value="Bosch">Bosch</option>
                    <option value="Briggs & Stratton">Briggs & Stratton</option>
                    <option value="Case">Case</option>
                    <option value="Caterpillar">Caterpillar</option>
                    <option value="Chevrolet">Chevrolet</option>
                    <option value="Chrysler">Chrysler</option>
                    <option value="Citroen">Citroen</option>
                    <option value="CNH">CNH</option>
                    <option value="Cummins">Cummins</option>
                    <option value="Cursor">Cursor</option>
                    <option value="Daewoo">Daewoo</option>
                    <option value="DAF">DAF</option>
                    <option value="Daihatsu">Daihatsu</option>
                    <option value="Daimler-Benz">Daimler-Benz</option>
                    <option value="Detroit">Detroit</option>
                    <option value="Detroit Diesel">Detroit Diesel</option>
                    <option value="Deutz">Deutz</option>
                    <option value="Deutz-Fahr">Deutz-Fahr</option>
                    <option value="Dongfeng">Dongfeng</option>
                    <option value="Doosan">Doosan</option>
                    <option value="EMK">EMK</option>
                    <option value="Evinrude">Evinrude</option>
                    <option value="FAW">FAW</option>
                    <option value="Fawde">Fawde</option>
                    <option value="Ferrari">Ferrari</option>
                    <option value="Fiat">Fiat</option>
                    <option value="Ford">Ford</option>
                    <option value="FPT">FPT</option>
                    <option value="GAZ">GAZ</option>
                    <option value="General Motors">General Motors</option>
                    <option value="Ginaf">Ginaf</option>
                    <option value="Hanomag">Hanomag</option>
                    <option value="Harley-Davidson">Harley-Davidson</option>
                    <option value="Hatz">Hatz</option>
                    <option value="Henschel">Henschel</option>
                    <option value="Hino">Hino</option>
                    <option value="Honda">Honda</option>
                    <option value="Howo">Howo</option>
                    <option value="Hyundai">Hyundai</option>
                    <option value="IFA">IFA</option>
                    <option value="Ingersoll Rand">Ingersoll Rand</option>
                    <option value="International">International</option>
                    <option value="Iseki">Iseki</option>
                    <option value="Isuzu">Isuzu</option>
                    <option value="Iveco">Iveco</option>
                    <option value="Jaguar">Jaguar</option>
                    <option value="JCB">JCB</option>
                    <option value="John Deere">John Deere</option>
                    <option value="Johnson">Johnson</option>
                    <option value="Jungheinrich">Jungheinrich</option>
                    <option value="KAMAZ">KAMAZ</option>
                    <option value="Kawasaki">Kawasaki</option>
                    <option value="Kohler">Kohler</option>
                    <option value="Komatsu">Komatsu</option>
                    <option value="Koop">Koop</option>
                    <option value="Kubota">Kubota</option>
                    <option value="Laidong">Laidong</option>
                    <option value="Lamborghini">Lamborghini</option>
                    <option value="Land Rover Discovery Sport">Land Rover Discovery Sport</option>
                    <option value="Leroy-Somer">Leroy-Somer</option>
                    <option value="Leyland">Leyland</option>
                    <option value="Liaz">Liaz</option>
                    <option value="Liebherr">Liebherr</option>
                    <option value="Lifan">Lifan</option>
                    <option value="Lister Petter">Lister Petter</option>
                    <option value="Lombardini">Lombardini</option>
                    <option value="Loncin">Loncin</option>
                    <option value="Lovol">Lovol</option>
                    <option value="LS">LS</option>
                    <option value="Mack">Mack</option>
                    <option value="MAN">MAN</option>
                    <option value="Mariner">Mariner</option>
                    <option value="MAZ">MAZ</option>
                    <option value="Mazda">Mazda</option>
                    <option value="Mercedes Benz">Mercedes Benz</option>
                    <option value="Mercury">Mercury</option>
                    <option value="MG">MG</option>
                    <option value="Mitsubishi">Mitsubishi</option>
                    <option value="MMZ">MMZ</option>
                    <option value="MTU">MTU</option>
                    <option value="MTZ">MTZ</option>
                    <option value="MWM">MWM</option>
                    <option value="New Holland">New Holland</option>
                    <option value="Nissan">Nissan</option>
                    <option value="Olympian">Olympian</option>
                    <option value="Opel">Opel</option>
                    <option value="Paccar">Paccar</option>
                    <option value="Parsun">Parsun</option>
                    <option value="Pegaso">Pegaso</option>
                    <option value="Perkins">Perkins</option>
                    <option value="Peugeot">Peugeot</option>
                    <option value="Polaris">Polaris</option>
                    <option value="Porsche">Porsche</option>
                    <option value="Quanchai">Quanchai</option>
                    <option value="Range Rover Evoque">Range Rover Evoque</option>
                    <option value="Rato">Rato</option>
                    <option value="Renault">Renault</option>
                    <option value="Ricardo">Ricardo</option>
                    <option value="Ruggerini">Ruggerini</option>
                    <option value="Saab">Saab</option>
                    <option value="SAME">SAME</option>
                    <option value="Sany">Sany</option>
                    <option value="Scania">Scania</option>
                    <option value="SDEC">SDEC</option>
                    <option value="SDF">SDF</option>
                    <option value="Shangchai">Shangchai</option>
                    <option value="Shibaura">Shibaura</option>
                    <option value="Siemens">Siemens</option>
                    <option value="Sinotruk">Sinotruk</option>
                    <option value="Sisu Diesel">Sisu Diesel</option>
                    <option value="SMD">SMD</option>
                    <option value="Sofim">Sofim</option>
                    <option value="Sonalika">Sonalika</option>
                    <option value="Stamford">Stamford</option>
                    <option value="Steyr">Steyr</option>
                    <option value="Subaru">Subaru</option>
                    <option value="Suzuki">Suzuki</option>
                    <option value="Tatra">Tatra</option>
                    <option value="Tedom">Tedom</option>
                    <option value="Tohatsu">Tohatsu</option>
                    <option value="Toyota">Toyota</option>
                    <option value="Tümosan">Tümosan</option>
                    <option value="Valmet">Valmet</option>
                    <option value="Valtra">Valtra</option>
                    <option value="Vanguard">Vanguard</option>
                    <option value="VAZ">VAZ</option>
                    <option value="Volkswagen">Volkswagen</option>
                    <option value="Volvo">Volvo</option>
                    <option value="Weichai Power">Weichai Power</option>
                    <option value="Xinchai">Xinchai</option>
                    <option value="Yamaha">Yamaha</option>
                    <option value="YaMZ">YaMZ</option>
                    <option value="Yangdong">Yangdong</option>
                    <option value="Yanmar">Yanmar</option>
                    <option value="YTO">YTO</option>
                    <option value="Yuchai">Yuchai</option>
                    <option value="Yunnei">Yunnei</option>
                    <option value="Zetor">Zetor</option>
                    <option value="ZIL">ZIL</option>
                    <option value="ZMZ">ZMZ</option>
                    <option value="ZTS">ZTS</option>
                  </select>

                </div>

                <!-- Modelo do Motor -->
                <div class="col-sm-4">
                  <label for="modelo_motor" class="form-label">Modelo do Motor</label>
                  <input type="text" class="form-control mb-3" id="modelo_motor" name="modelo_motor">
                </div>

                <!-- Combustível -->
                <div class="col-sm-4">
                  <label for="combustivel" class="form-label">Combustível</label>
                  <select class="form-select mb-3" id="combustivel" name="combustivel">
                    <option value="Biogasóleo">Biogasóleo</option>
                    <option value="Elétrico">Elétrico</option>
                    <option value="Elétrico/gasóleo">Elétrico/gasóleo</option>
                    <option value="Elétrico/gasolina">Elétrico/gasolina</option>
                    <option value="Etanol">Etanol</option>
                    <option value="Gás">Gás</option>
                    <option value="Gás/Gasolina">Gás/Gasolina</option>
                    <option value="Gasóleo">Gasóleo</option>
                    <option value="Gasolina">Gasolina</option>
                    <option value="Hidrogénio">Hidrogénio</option>
                    <!-- Adicione outras opções de combustível aqui -->
                  </select>
                </div>

                <!-- Turbo -->
                <div class="col-sm-4">
                  <label for="turbo" class="form-label">Turbo</label>
                  <div class="mb-3">
                    <input type="checkbox" class="form-check-input" id="turbo" name="turbo">
                  </div>
                </div>

                <!-- Intercooler -->
                <div class="col-sm-4">
                  <label for="intercooler" class="form-label">Intercooler</label>
                  <div class="mb-3">
                    <input type="checkbox" class="form-check-input" id="intercooler" name="intercooler">
                  </div>
                </div>

                <!-- Potência -->
                <div class="col-sm-4">
                  <label for="potencia" class="form-label">Potência</label>
                  <input type="number" class="form-control mb-3" id="potencia" name="potencia">
                </div>

                <!-- Volume do Motor -->
                <div class="col-sm-4">
                  <label for="volume_motor" class="form-label">Volume do Motor</label>
                  <input type="number" class="form-control mb-3" id="volume_motor" name="volume_motor">
                </div>

                <!-- Número de Cilindros -->
                <div class="col-sm-4">
                  <label for="numero_cilindros" class="form-label">Número de Cilindros</label>
                  <input type="number" class="form-control mb-3" id="numero_cilindros" name="numero_cilindros" min="1" max="15">
                </div>

                <!-- Válvulas -->
                <div class="col-sm-4">
                  <label for="valvulas" class="form-label">Válvulas</label>
                  <input type="number" class="form-control mb-3" id="valvulas" name="valvulas">
                </div>

                <!-- Euro -->
                <div class="col-sm-4">
                  <label for="euro" class="form-label">Euro</label>
                  <select class="form-select mb-3" id="euro" name="euro">
                    <option value="Euro 1">Euro 1</option>
                    <option value="Euro 2">Euro 2</option>
                    <option value="Euro 3">Euro 3</option>
                    <option value="Euro 4">Euro 4</option>
                    <option value="Euro 5">Euro 5</option>
                    <option value="Euro 6">Euro 6</option>
                    <!-- Adicione outras opções Euro aqui -->
                  </select>
                </div>

                <!-- Filtro de Partículas -->
                <div class="col-sm-4">
                  <label for="filtro_particulas" class="form-label">Filtro de Partículas</label>
                  <div class="mb-3">
                    <input type="checkbox" class="form-check-input" id="filtro_particulas" name="filtro_particulas">
                  </div>
                </div>

                <!-- EEV -->
                <div class="col-sm-4">
                  <label for="eev" class="form-label">EEV</label>
                  <div class="mb-3">
                    <input type="checkbox" class="form-check-input" id="eev" name="eev">
                  </div>
                </div>

                <!-- Consumo de Combustível -->
                <div class="col-sm-4">
                  <label for="consumo_combustivel" class="form-label">Consumo de Combustível</label>
                  <input type="number" class="form-control mb-3" id="consumo_combustivel" name="consumo_combustivel">
                </div>

                <!-- Tipo de Caixa de Velocidades -->
                <!-- Tipo de Caixa de Velocidades -->
                <div class="col-sm-4">
                  <label for="tipo_caixa_velocidades" class="form-label">Tipo de Caixa de Velocidades</label>
                  <select class="form-select mb-3" id="tipo_caixa_velocidades" name="tipo_caixa_velocidades">
                    <option value="AS-Tronic">AS-Tronic</option>
                    <option value="Automático">Automático</option>
                    <option value="AutoShift">AutoShift</option>
                    <option value="Cmatic">Cmatic</option>
                    <option value="ComfortShift">ComfortShift</option>
                    <option value="CVT">CVT</option>
                    <option value="DirectDrive">DirectDrive</option>
                    <option value="Dynamic Command">Dynamic Command</option>
                    <option value="DynaShift">DynaShift</option>
                    <option value="EcoShift">EcoShift</option>
                    <option value="EPS">EPS</option>
                    <option value="EuroTronic">EuroTronic</option>
                    <option value="HexaShift">HexaShift</option>
                    <option value="Hi-Matic">Hi-Matic</option>
                    <option value="Hidrostática">Hidrostática</option>
                    <option value="HydroDrive">HydroDrive</option>
                    <option value="I-Shift">I-Shift</option>
                    <option value="Manual">Manual</option>
                    <option value="Manual automatizada">Manual automatizada</option>
                    <option value="Opticruise">Opticruise</option>
                    <option value="Optidriver">Optidriver</option>
                    <option value="PowerShift">PowerShift</option>
                    <option value="Semiautomático">Semiautomático</option>
                    <option value="Sincronizado">Sincronizado</option>
                    <option value="Telligent">Telligent</option>
                    <option value="Tip-tronic">Tip-tronic</option>
                    <option value="TipMatic">TipMatic</option>
                    <option value="TraXon">TraXon</option>
                    <!-- Adicione outras opções de caixa de velocidades aqui -->
                  </select>
                </div>


                <!-- Marcha-atrás -->
                <div class="col-sm-4">
                  <label for="marcha_atras" class="form-label">Marcha-atrás</label>
                  <div class="mb-3">
                    <input type="checkbox" class="form-check-input" id="marcha_atras" name="marcha_atras">
                  </div>
                </div>

                <!-- Velocidades -->
                <!-- Velocidades -->
                <div class="col-sm-4">
                  <label for="velocidades" class="form-label">Velocidades</label>
                  <select class="form-select mb-3" id="velocidades" name="velocidades">
                    <option value="2 a 8">2 a 8</option>
                    <option value="8+1">8+1</option>
                    <option value="9">9</option>
                    <option value="10">10</option>
                    <option value="10+10">10+10</option>
                    <option value="10+2">10+2</option>
                    <option value="11">11</option>
                    <option value="12+2">12+2</option>
                    <option value="12">12</option>
                    <option value="12F+12R">12F+12R</option>
                    <option value="12+4">12+4</option>
                    <option value="13 a 16">13 a 16</option>
                    <option value="16F+8R">16F+8R</option>
                    <option value="17">17</option>
                    <option value="18">18</option>
                    <option value="18+4">18+4</option>
                    <option value="18+9">18+9</option>
                    <option value="23+12">23+12</option>
                    <option value="24">24</option>
                    <option value="24F+8R">24F+8R</option>
                    <option value="24+24">24+24</option>
                    <option value="25">25</option>
                    <option value="32">32</option>
                    <!-- Adicione outras opções de velocidades aqui -->
                  </select>
                </div>


                <!-- Marca da Caixa de Velocidades -->
                <!-- Marca da Caixa de Velocidades -->
                <div class="col-sm-4">
                  <label for="marca_caixa_velocidades" class="form-label">Marca da Caixa de Velocidades</label>
                  <select class="form-select mb-3" id="marca_caixa_velocidades" name="marca_caixa_velocidades">
                    <option value="AGile">AGile</option>
                    <option value="Allison">Allison</option>
                    <option value="BMW">BMW</option>
                    <option value="Carraro">Carraro</option>
                    <option value="Clark">Clark</option>
                    <option value="DAF">DAF</option>
                    <option value="Dana">Dana</option>
                    <option value="Eaton">Eaton</option>
                    <option value="Fast">Fast</option>
                    <option value="Fuller">Fuller</option>
                    <option value="Isuzu">Isuzu</option>
                    <option value="Iveco">Iveco</option>
                    <option value="Kamaz">Kamaz</option>
                    <option value="MAN">MAN</option>
                    <option value="Mercedes-Benz">Mercedes-Benz</option>
                    <option value="Mitsubishi">Mitsubishi</option>
                    <option value="Peugeot">Peugeot</option>
                    <option value="Porsche">Porsche</option>
                    <option value="Qijiang">Qijiang</option>
                    <option value="Renault">Renault</option>
                    <option value="Sauer-Danfoss">Sauer-Danfoss</option>
                    <option value="Scania">Scania</option>
                    <option value="Voith">Voith</option>
                    <option value="Volvo">Volvo</option>
                    <option value="YaMZ">YaMZ</option>
                    <option value="ZF">ZF</option>
                    <!-- Adicione outras opções de marca da caixa de velocidades aqui -->
                  </select>
                </div>


                <!-- Depósito de AdBlue -->
                <div class="col-sm-4">
                  <label for="deposito_adblue" class="form-label">Depósito de AdBlue em L</label>
                  <input type="number" class="form-control mb-3" id="deposito_adblue" name="deposito_adblue">
                </div>

                <!-- Número de Depósitos de Combustível -->
                <div class="col-sm-4">
                  <label for="numero_depositos_combustivel" class="form-label">Número de Depósitos de Combustível</label>
                  <input type="number" class="form-control mb-3" id="numero_depositos_combustivel" name="numero_depositos_combustivel" min="1" max="3">
                </div>

                <!-- Volume dos Depósitos -->
                <div class="col-sm-4">
                  <label for="volume_depositos" class="form-label">Volume dos Depósitos</label>
                  <input type="number" class="form-control mb-3" id="volume_depositos" name="volume_depositos">
                </div>

                <!-- Eixos -->
                <!-- Eixos -->
                <div class="col-sm-4">
                  <label for="eixos" class="form-label">Eixos</label>
                  <select class="form-select mb-3" id="eixos" name="eixos">
                    <option value="1">1</option>
                    <option value="2">2</option>
                    <option value="3">3</option>
                    <option value="4">4</option>
                    <!-- Adicione outras opções de eixos aqui -->
                  </select>
                </div>


                <!-- Configuração de Eixo -->
                <!-- Configuração de Eixo -->
                <div class="col-sm-4">
                  <label for="configuracao_eixo" class="form-label">Configuração de Eixo</label>
                  <select class="form-select mb-3" id="configuracao_eixo" name="configuracao_eixo">
                    <option value="4x2">4x2</option>
                    <option value="4x4">4x4</option>
                    <option value="6x2">6x2</option>
                    <option value="6x4">6x4</option>
                    <option value="6x6">6x6</option>
                    <option value="8x2">8x2</option>
                    <option value="8x4">8x4</option>
                    <option value="8x6">8x6</option>
                    <option value="8x8">8x8</option>
                    <option value="10x2">10x2</option>
                    <option value="10x4">10x4</option>
                    <option value="10x6">10x6</option>
                    <option value="10x8">10x8</option>
                    <option value="10x10">10x10</option>
                    <option value="12x4">12x4</option>
                    <option value="12x8">12x8</option>
                    <!-- Adicione outras opções de configuração de eixo aqui -->
                  </select>
                </div>


                <!-- Dimensão dos Pneus -->
                <div class="col-sm-4">
                  <label for="dimensao_pneus" class="form-label">Dimensão dos Pneus</label>
                  <input type="number" class="form-control mb-3" id="dimensao_pneus" name="dimensao_pneus">
                </div>

                <!-- Estado do Pneu -->
                <div class="col-sm-4">
                  <label for="estado_pneu" class="form-label">Estado do Pneu</label>
                  <input type="number" class="form-control mb-3" id="estado_pneu" name="estado_pneu" min="0" max="100">
                </div>

              </div>

            </div>
          </div>
        </div>


      </form>
    </div>
  </div>

  <script>
  document.getElementById('files').addEventListener('change', function() {
    const preview = document.getElementById('image-preview');
    preview.innerHTML = '';

    Array.from(this.files).forEach(function(file) {
      const reader = new FileReader();
      reader.onload = function(e) {
        const img = document.createElement('img');
        img.src = e.target.result;
        img.style.maxWidth = '200px';
        img.style.margin = '10px';
        preview.appendChild(img);
      }
      reader.readAsDataURL(file);
    });
  });
  </script>

@endsection
