@extends('layouts.backend')

@section('content')

  <h1 class="mb-2">Lista de Anúncios</h1>

  <div class="table-responsive">
    <table class="table table-borderless table-hover">
      <thead>
        <tr>
          <th>UUID</th>
          <th>Marca</th>
          <th>Modelo</th>
          <th>Horas</th>
          <th>Combustível</th>
          <th>Preço</th>
          <th>Ações</th>
        </tr>
      </thead>
      <tbody>
        @foreach ($anuncios as $anuncio)
          <tr>
            <td>{{$anuncio->uuid}}</td>
            <td>{{$anuncio->marca}}</td>
            <td>{{$anuncio->modelo}}</td>
            <td>{{$anuncio->horas}}</td>
            <td>{{$anuncio->combustivel}}</td>
            <td>{{$anuncio->preco}} €</td>
            <td>
              <a href="#" class="btn btn-primary btn-sm"><i class="fas fa-edit"></i></a>
              <td>
                <form action="{{ route('anuncios.delete', $anuncio->uuid) }}" method="POST" onsubmit="return confirm('Tem certeza que deseja excluir este anúncio?')">
                  @csrf
                  @method('DELETE')
                  <button type="submit" class="btn btn-danger btn-sm"><i class="fas fa-trash-alt"></i></button>
                </form>
              </td>
            </td>
          </tr>
        @endforeach
      </tbody>
    </table>
  </div>

@endsection
