<?php

use Illuminate\Support\Facades\Route;
use App\Models\Settings;
use App\Models\Textos;
use App\Models\Categorias;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
  $settings = Settings::all();
  $textos = Textos::all();
  $categorias = Categorias::all();
  return view('welcome', ['settings' => $settings,'textos' => $textos,'categorias' => $categorias]);
});

Route::get('/contactos', function () {
  $settings = Settings::all();
  $textos = Textos::all();
  return view('contactos', ['settings' => $settings,'textos' => $textos]);
});

Auth::routes();

Route::get('/area-reservada', [App\Http\Controllers\HomeController::class, 'index'])->name('area-reservada');
Route::get('/anuncios/{nome}', [App\Http\Controllers\StockController::class, 'listar'])->name('stock');
Route::get('/anuncio/detalhe/{id}', [App\Http\Controllers\StockController::class, 'show']);


Route::get('/area-reservada/anuncio/novo', [App\Http\Controllers\StockController::class, 'novo']);
Route::post('/area-reservada/anuncio/novo', [App\Http\Controllers\StockController::class, 'criar']);

Route::get('/area-reservada/anuncios', [App\Http\Controllers\StockController::class, 'gerir']);
Route::delete('/area-reservada/anuncios/apagar/{id}', [App\Http\Controllers\StockController::class, 'destroy'])->name('anuncios.delete');
