<!DOCTYPE html>
<?php
use App\Models\Categorias;
use App\Models\Anuncios;
use App\Models\Textos;
?>
<html lang="pt-pt">

<head>
  <meta charset="utf-8">
  <title><?php echo e(config('app.name', 'No-APP-Name')); ?></title>
  <meta content="width=device-width, initial-scale=1.0" name="viewport">
  <meta content="Tratores, Máquinas, Comprar Trator, Comprar Maquina," name="keywords">
  <meta content="<?php echo e(config('app.name', 'No-APP-Name')); ?> - Venda de tratores e máquinas" name="description">

  <!-- Favicon -->
  <link href="<?php echo e(asset('./img/favicon.ico')); ?>" rel="icon">

  <!-- Google Web Fonts -->
  <link rel="preconnect" href="https://fonts.gstatic.com">
  <link href="https://fonts.googleapis.com/css2?family=Oswald:wght@400;500;600;700&family=Rubik&display=swap" rel="stylesheet">

  <!-- Font Awesome -->
  <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.0/css/all.min.css" rel="stylesheet">

  <!-- Libraries Stylesheet -->
  <link href="<?php echo e(asset('./lib/owlcarousel/assets/owl.carousel.min.css')); ?>" rel="stylesheet">
  <link href="<?php echo e(asset('./lib/tempusdominus/css/tempusdominus-bootstrap-4.min.css')); ?>" rel="stylesheet" />

  <!-- Customized Bootstrap Stylesheet -->
  <link href="<?php echo e(asset('./css/bootstrap.min.css')); ?>" rel="stylesheet">

  <!-- Template Stylesheet -->
  <link href="<?php echo e(asset('./css/style.css')); ?>" rel="stylesheet">
</head>

<body>
  <!-- Topbar Start -->
  <div class="container-fluid bg-dark py-3 px-lg-5 d-none d-lg-block">
    <div class="row">
      <div class="col-md-6 text-center text-lg-left mb-2 mb-lg-0">
        <div class="d-inline-flex align-items-center">
          <a class="text-body pr-3" href=""><i class="fa fa-phone-alt mr-2"></i><?php echo e(Textos::all()->where('nome','telefone')->first()->valor); ?></a>
          <span class="text-body">|</span>
          <a class="text-body px-3" href=""><i class="fa fa-envelope mr-2"></i><?php echo e(Textos::all()->where('nome','email')->first()->valor); ?></a>
        </div>
      </div>
      <div class="col-md-6 text-center text-lg-right">
        <div class="d-inline-flex align-items-center">
          <a class="text-body pl-3" href="/area-reservada">
            <i class="fas fa-users-cog"></i>
          </a>
        </div>
      </div>
    </div>
  </div>
  <!-- Topbar End -->


  <!-- Navbar Start -->
  <div class="container-fluid position-relative nav-bar p-0">
    <div class="position-relative px-lg-5" style="z-index: 9;">
      <nav class="navbar navbar-expand-lg bg-secondary navbar-dark py-3 py-lg-0 pl-3 pl-lg-5">
        <a href="" class="navbar-brand">
          <h1 class="text-uppercase text-primary mb-1"><?php echo e(config('app.name', 'No-APP-Name')); ?></h1>
        </a>
        <button type="button" class="navbar-toggler" data-toggle="collapse" data-target="#navbarCollapse">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse justify-content-between px-3" id="navbarCollapse">
          <div class="navbar-nav ml-auto py-0">
            <a href="/" class="nav-item nav-link active">Início</a>
            <?php $__currentLoopData = Categorias::all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $categoria): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
              <?php if(Anuncios::where('categoria',$categoria->id)->count() > 0): ?>
                <a href="/anuncios/<?php echo e(strtolower($categoria->nome)); ?>" class="nav-item nav-link"><?php echo e($categoria->nome); ?></a>
              <?php else: ?>
                <a disabled class="nav-item nav-link disabled"><?php echo e($categoria->nome); ?></a>
              <?php endif; ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <a href="/contactos" class="nav-item nav-link">Contactos</a>
          </div>
        </div>
      </nav>
    </div>
  </div>
  <!-- Navbar End -->


  <!-- Carousel Start -->
  <div class="container-fluid p-0" style="margin-bottom: 90px;">
    <?php echo $__env->yieldContent('content'); ?>
  </div>


  <!-- Footer Start -->
  <div class="container-fluid bg-dark py-4 px-sm-3 px-md-5">
    <p class="mb-2 text-center text-body">&copy; <a href="#"><?php echo e(config('app.name', 'No-APP-Name')); ?></a>. Todos os direitos reservados.</p>

    <!--/*** This template is free as long as you keep the footer author’s credit link/attribution link/backlink. If you'd like to use the template without the footer author’s credit link/attribution link/backlink, you can purchase the Credit Removal License from "https://htmlcodex.com/credit-removal". Thank you for your support. ***/-->
    <p class="m-0 text-center text-body">Designed by <a href="https://htmlcodex.com">HTML Codex</a></p>
  </div>
  <!-- Footer End -->


  <!-- Back to Top -->
  <a href="#" class="btn btn-lg btn-primary btn-lg-square back-to-top"><i class="fa fa-angle-double-up"></i></a>


  <!-- JavaScript Libraries -->
  <script src="https://code.jquery.com/jquery-3.4.1.min.js"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.bundle.min.js"></script>
  <script src="<?php echo e(asset('./lib/easing/easing.min.js')); ?>"></script>
  <script src="<?php echo e(asset('./lib/waypoints/waypoints.min.js')); ?>"></script>
  <script src="<?php echo e(asset('./lib/owlcarousel/owl.carousel.min.js')); ?>"></script>
  <script src="<?php echo e(asset('./lib/tempusdominus/js/moment.min.js')); ?>"></script>
  <script src="<?php echo e(asset('./lib/tempusdominus/js/moment-timezone.min.js')); ?>"></script>
  <script src="<?php echo e(asset('./lib/tempusdominus/js/tempusdominus-bootstrap-4.min.js')); ?>"></script>

  <!-- Template Javascript -->
  <script src="<?php echo e(asset('./js/main.js')); ?>"></script>
</body>

</html>
<?php /**PATH /home/rubenguerra.pt/public_html/resources/views/layouts/frontend.blade.php ENDPATH**/ ?>